

html{
    /* font-family: 'DejaVu Serif', serif; */
    font-family: sans-serif;
}

body{
    /* the upscaled font-size */
    font-size: inherit;

    /* the small line-height */
    line-height: var(--lh-s);

    color: var(--clr-main);
    margin: 0;
}

@media (max-width: 36rem) {

    /* one size of text
    and back to the default one */
    :root{
        --fs-s: 0.9rem;
    }
    html{
        font-size: 1em;
    }
  
}

@media print{
    html{
        font-size: 10pt;
    }
}

/* TEXT SETTING
  ========================================================================== */

.text-long{
    /* increase lh for long read */
    line-height: var(--lh-m);
    --lh: var(--lh-m);
}

.text-small{
    /* smaller font-size (still small lh) */
    font-size: var(--fs-s);
    line-height: 1.6;
}


/* CONSTANT VERTICAL RYTHM
  ========================================================================== */

h1,h2,h3,h4,h5,h6{
    /* good respiration between section */
    margin: calc(var(--lh) * 3) 0 calc(var(--lh) * 1);

    font-weight: normal;
    font-size: 1rem;
}
.text-long h1,
.text-long h2,
.text-long h3,
.text-long h4,
.text-long h5,
.text-long h6{
    font-family: serif;
}

h1 + h2,
h2 + h3,
h3 + h4,
h4 + h5,
h5 + h6{
    /* when a heading follow a heading less respiration */
    margin-top: 0;
}


ul{
    list-style-type: '✶ ';
}

ul ul,
ul ol,
ol ul,
ol ol{
    /* cancel list margin when they are inside of each other */
    margin: 0 !important;
}

blockquote{
    border: var(--border);
    margin: var(--lh);
    padding: var(--lh);
    border-radius: var(--lh);
}
@media (max-width: 36rem) {
    blockquote{
        margin: calc(var(--lh) * 0.5);
        padding: calc(var(--lh) * 0.5);
    }
}

figure{
    margin: calc(var(--lh) * 1) 0 calc(var(--lh) * 1);
}
figcaption{
    /* out of the constant flow -> different size */
    font-size: var(--fs-s);
    line-height: var(--lh-s);
    margin-top: var(--lh-s);
    color: var(--clr-fade);
}


dt + dd{
    margin-left: calc(var(--lh) * 1);
}
dl{
    margin: 0;
}

p{
    margin: calc(var(--lh) * 0.5) 0; 
}
ul, 
ol{
    margin: calc(var(--lh) * 0.5) 0;
    padding-left: calc(var(--lh) * 1);
}

.text-long p{
    margin: calc(var(--lh) * 1) 0; 
}
.text-long ul, 
.text-long ol{
    margin: calc(var(--lh) * 1) 0;
}

/* exceptions for first and last margins */
:is(h1,h2,h3,h4,h5,h6,p,ul,ol):first-child{
    margin-top: 0;
}
:is(h1,h2,h3,h4,h5,h6,p,ul,ol):last-child{
    margin-bottom: 0;
}

/* ARTICLES HEADER ANCHOR */
h1, h2, h3, h4, h5, h6{
    scroll-margin-top: calc(var(--lh) * 3);
}

/* FOOTNOTES */
.footnote{
    /* same than figcaption */
    font-size: var(--fs-s);
    line-height: var(--lh-s);
    --lh: var(--lh-s);
}
.footnote li{
    margin-top: var(--lh-s);

    scroll-margin-top: calc(var(--lh) * 1);
}
sup{
    /* so it doesn't increase lh */
    line-height: 0;
}
.footnote-ref,
.footnote-backref{
    font-family: monospace;
    font-size: var(--fs-blk-mono);
    width: 1.25em;
    height: 1.25em;
    background-color: var(--clr-link-local);
    color: white !important;
    border-radius: 50%;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    margin-left: 0.25em;

    scroll-margin-top: calc(var(--lh) * 3);
}


/* List style
========================================================================== */

ul.block-list{
    list-style: none;
    margin: 0; padding: 0;

    display: flex;
    flex-wrap: wrap;
    gap: 0 calc(var(--lh) / 2);
}
ul.block-list > li{
    /* height: var(--lh); */
    /* padding: 0 0.2em; */

    /* background-color: whitesmoke; */
}
ul.block-list > li::before{
    /* content: '#'; */
}

ul.comma-list{
    list-style: none;
    margin: 0; padding: 0;
}

ul.comma-list > li{
    display: inline-block;
}
ul.comma-list > li:not(:last-of-type)::after{
    content: ",\00a0";
}